---
updatedAt: 2026-05-27T00:16:27.000Z
agentTools:
  projectIndex: https://360learning.readme.io/llms.txt
---

# Create an attendance sheet

> 🔑
>
> Required OAuth scope: `attendanceSheets:write`.

Creates an attendance sheet for the given classroom slot.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/classroom-slots/{classroomSlotId}/attendance-sheets": {
      "post": {
        "description": "> 🔑\n>\n> Required OAuth scope: `attendanceSheets:write`.\n\nCreates an attendance sheet for the given classroom slot.",
        "operationId": "v2.classrooms.CreateAttendanceSheetController_createAttendanceSheet",
        "parameters": [
          {
            "name": "360-api-version",
            "in": "header",
            "description": "The version of the API.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "v2.0"
              ]
            }
          },
          {
            "name": "classroomSlotId",
            "required": true,
            "in": "path",
            "description": "The unique ID of the classroom slot.",
            "schema": {
              "format": "ObjectId",
              "pattern": "^[a-fA-F0-9]{24}$",
              "example": "507f1f77bcf86cd799439011",
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/InputAttendanceSheetDTO"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returns the created attendance sheet.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ClosedAttendanceSheetDTO"
                    },
                    {
                      "$ref": "#/components/schemas/OpenedAttendanceSheetDTO"
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Maximum of 100 attendance sheets is reached for the given classroom slot.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Max Attendance Sheets Reached",
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "enum": [
                            "maxAttendanceSheetsReached"
                          ]
                        },
                        "message": {
                          "type": "string",
                          "example": "A human-readable message to help with debugging."
                        }
                      },
                      "required": [
                        "code",
                        "message"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "401": {
            "description": "The given access token is either missing, invalid, has expired, or has been revoked.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "invalid_token"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "403": {
            "description": "The given access token does not have the required OAuth scope to execute the request.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Invalid Scope",
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "enum": [
                            "invalid_scope"
                          ]
                        },
                        "message": {
                          "type": "string",
                          "example": "A human-readable message to help with debugging."
                        }
                      },
                      "required": [
                        "code",
                        "message"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "404": {
            "description": "The given `classroomSlotId` does not correspond to any existing classroom slot.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Classroom Slot Not Found",
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "enum": [
                            "classroomSlotNotFound"
                          ]
                        },
                        "message": {
                          "type": "string",
                          "example": "A human-readable message to help with debugging."
                        }
                      },
                      "required": [
                        "code",
                        "message"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "409": {
            "description": "Concurrency issue during the creation of the attendance sheet.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Attendance Sheet Creation Conflict",
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "enum": [
                            "attendanceSheetCreationConflict"
                          ]
                        },
                        "message": {
                          "type": "string",
                          "example": "A human-readable message to help with debugging."
                        }
                      },
                      "required": [
                        "code",
                        "message"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "429": {
            "description": "The client has sent too many requests in a short amount of time. ",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "tooManyRequests"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "summary": "Create an attendance sheet",
        "tags": [
          "Classrooms"
        ]
      }
    }
  },
  "info": {
    "title": "Core API",
    "description": "",
    "version": "1.0.0",
    "contact": {}
  },
  "servers": [
    {
      "url": "https://app.360learning.com",
      "description": "Production EU"
    },
    {
      "url": "https://app.us.360learning.com",
      "description": "Production US"
    }
  ],
  "components": {
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {},
        "description": "Use the token from the authentication endpoint in the Authorization header.\n\nExample: `Authorization: Bearer <token>`"
      }
    },
    "schemas": {
      "PersonalizedFields": {
        "title": "Personalized Fields",
        "type": "object",
        "properties": {
          "organizationName": {
            "type": "string",
            "description": "The name of your organization.",
            "example": "360Learning",
            "minLength": 1
          },
          "organizationLogoId": {
            "type": "string",
            "description": "The unique id of the logo of your organization as a media of type image.",
            "format": "ObjectId",
            "example": "507f1f77bcf86cd799439011",
            "pattern": "^[a-fA-F0-9]{24}$"
          }
        }
      },
      "ClosedAttendanceSheetDTO": {
        "title": "Closed Attendance Sheet",
        "type": "object",
        "properties": {
          "_id": {
            "type": "string",
            "description": "The unique ID of the attendance sheet.",
            "format": "ObjectId",
            "example": "507f1f77bcf86cd799439011",
            "pattern": "^[a-fA-F0-9]{24}$"
          },
          "name": {
            "type": "string",
            "description": "The title of the attendance sheet.",
            "example": "First day afternoon"
          },
          "personalizedFields": {
            "description": "Customization options for the attendance sheet.",
            "allOf": [
              {
                "$ref": "#/components/schemas/PersonalizedFields"
              }
            ]
          },
          "status": {
            "type": "string",
            "enum": [
              "closed",
              "signed"
            ],
            "description": "The status of the attendance sheet."
          },
          "checkInCode": {
            "type": "string",
            "description": "The code to be used by learners to check in.",
            "example": "1234"
          }
        },
        "required": [
          "_id",
          "name",
          "status"
        ]
      },
      "OpenedAttendanceSheetDTO": {
        "title": "Opened Attendance Sheet",
        "type": "object",
        "properties": {
          "_id": {
            "type": "string",
            "description": "The unique ID of the attendance sheet.",
            "format": "ObjectId",
            "example": "507f1f77bcf86cd799439011",
            "pattern": "^[a-fA-F0-9]{24}$"
          },
          "name": {
            "type": "string",
            "description": "The title of the attendance sheet.",
            "example": "First day afternoon"
          },
          "personalizedFields": {
            "description": "Customization options for the attendance sheet.",
            "allOf": [
              {
                "$ref": "#/components/schemas/PersonalizedFields"
              }
            ]
          },
          "status": {
            "type": "string",
            "enum": [
              "adjustment",
              "open"
            ],
            "description": "The status of the attendance sheet."
          },
          "checkInCode": {
            "type": "string",
            "description": "The code to be used by learners to check in.",
            "example": "1234"
          }
        },
        "required": [
          "_id",
          "name",
          "status",
          "checkInCode"
        ]
      },
      "InputAttendanceSheetDTO": {
        "title": "Input Attendance Sheet",
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "The title of the attendance sheet.",
            "example": "First day afternoon",
            "minLength": 1
          }
        },
        "required": [
          "name"
        ]
      }
    }
  }
}
```